Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Cannot install metapackages (temporary failure resolving)

  1. #1
    Junior Member
    Join Date
    Sep 2016
    Posts
    6

    Cannot install metapackages (temporary failure resolving)

    I have the Nexus 7 2013 wifi model (FLO) running on a stock 6.0.1 rom. I rooted and got Nethunter installed using the zip downloaded from the official nethunter site. When I go into NetHunter and install CHROOT then try to install metapackages it gets the temporary failure resolving http.kali.org error. I can ping this url from within the terminal, but apt-get update does not work. Any ideas?

  2. #2
    Junior Member
    Join Date
    Sep 2016
    Posts
    6
    I found that if I reinstall the CHROOT that comes stock with installer downloaded from the official Kali site, I eliminate the temporary resolving issue. But several sources are not found. Particularly the ARMHF ones. Anybody ever run into this issue>?

  3. #3
    Junior Member
    Join Date
    Sep 2016
    Posts
    3
    I have the same problem on nh 3.15. i narrowed it down to wrong dns-settings according to this https://forums.kali.org/showthread.php?20846-Troubleshooting-Internet-Network-Access
    Have you tried to ping other servers from within the kali-shell?

  4. #4
    Junior Member
    Join Date
    Sep 2016
    Posts
    3
    I tried to fix my dns-settings to get around this.
    Unfortunately it didn't work out. I have problems getting the armhf packages as well.
    Maybe the sources.lst is corrupt or the files are simply missing at the designated location.

  5. #5
    Junior Member
    Join Date
    Sep 2016
    Posts
    6
    For anyone that's had this issue, you merely need to update the sources.list file. The sources.list that ships with the download from Offsecs site has a bad source in it. Just comment those out and use the below source. You may be able to use the rolling sources, but I'm not sure.
    Code:
    deb http://old.kali.org/kali sana main non-free contrib
    Last edited by redbeardtheweird; 2016-09-11 at 07:37 PM.

  6. #6
    Junior Member
    Join Date
    Sep 2016
    Posts
    3
    Thanks for the information!
    I changed my sources list the way you suggested. Unfortunately i can't install any further packages due to unmet dependencies.
    My attempts to ignore some dependencies (php5-mysql) didn't work either.
    Any hints on how to get a working system? Installing older version maybe?

  7. #7
    Junior Member
    Join Date
    Sep 2016
    Posts
    2
    I recently ran into the same problem on my OnePlus One in combination Nethunter 3.0.

    Tried a bunch of different alternatives that did not play well. In the end I ended up installing a clean CM12.1-YOG4PAS3JL and rooted. After this I flashed NH 3.0, updated the Nethunter App to 3.15 and changed to rolling with the following sources.list.

    deb http://http.kali.org/kali kali-rolling main contrib non-free
    deb-src http://http.kali.org/kali kali-rolling main contrib non-free

    Now I could run apt-get update && apt-get upgrade from the Kali Terminal with no problem.

    So, I thought everything was fine and checked the kali-linux-wireless metapackage from the Nethunter App and hit install/update – Big mistake!

    Everything was fine with the installation of the tools but after this the apt-get update && apt-get upgrade did not work anymore and I was stuck with the “temporary failure resolving…” message

    This forced me to roll back and flash NH 3.0 again. This time I skipped the kali-linux-wireless installation from the App and just ran apt-get update && apt-get upgrade from the terminal which again worked great.

    The current status is that the OnePlus One is up and running and I can use apt-get for installs and updates/upgrades.

  8. #8
    Junior Member
    Join Date
    Sep 2016
    Posts
    6
    Did you try to install that package via apt-get -f install? If it isn't available in any of your current repos, you might want to try this repo.

    Code:
    deb http://http.kali.org/kali kali-rolling main contrib non-free

  9. #9
    Junior Member
    Join Date
    Sep 2016
    Posts
    6
    Quote Originally Posted by mrhappy View Post
    I recently ran into the same problem on my OnePlus One in combination Nethunter 3.0.

    Tried a bunch of different alternatives that did not play well. In the end I ended up installing a clean CM12.1-YOG4PAS3JL and rooted. After this I flashed NH 3.0, updated the Nethunter App to 3.15 and changed to rolling with the following sources.list.

    deb http://http.kali.org/kali kali-rolling main contrib non-free
    deb-src http://http.kali.org/kali kali-rolling main contrib non-free

    Now I could run apt-get update && apt-get upgrade from the Kali Terminal with no problem.

    So, I thought everything was fine and checked the kali-linux-wireless metapackage from the Nethunter App and hit install/update – Big mistake!

    Everything was fine with the installation of the tools but after this the apt-get update && apt-get upgrade did not work anymore and I was stuck with the “temporary failure resolving…” message

    This forced me to roll back and flash NH 3.0 again. This time I skipped the kali-linux-wireless installation from the App and just ran apt-get update && apt-get upgrade from the terminal which again worked great.

    The current status is that the OnePlus One is up and running and I can use apt-get for installs and updates/upgrades.

    From what I understand this is an issue with the new version. If I use the CHROOT that's packaged with the 3.0 download. It works great! If I allow the CHROOT manager to download the latest one, it breaks apt. I've seen post that says that apt isn't in the inet group, but I've tried solutions that Binkybear have provided without success. The only thing that worked for me was reflashing 3.0 and using the CHROOT provided.

  10. #10
    Junior Member
    Join Date
    Sep 2016
    Posts
    2
    Did not try, yet.

    Agree, it´s a nice repo with useful tools.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •